#property indicator_separate_window
#property indicator_buffers 6
#property indicator_color1  Red
#property indicator_color2  LimeGreen
#property indicator_color3  DeepSkyBlue
#property indicator_color4  Pink
#property indicator_color5  Blue
#property indicator_color6  Brown

#property indicator_level1    0
#property indicator_level2  100
#property indicator_level3 -100
#property indicator_minimum -500
#property indicator_maximum 500

extern int    MA_Period     = 5;
extern int    MA_Method     = MODE_LWMA;
extern int    CCI_Period    = 14;
extern int    applied_price = 0; 

extern string inputsymbol="EURUSD";


double CCI_idt[];
double CCI_idx1[];

double CCI_idt2[];
double CCI_Syn[];

double CCI_idt3[];
double CCI_idx3[];

/*string indicatorFileName;
bool   returnBars;
bool   calculateValue;
int    timeFrame;*/

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   IndicatorBuffers(6);
   SetIndexBuffer(0,CCI_idx1);
   SetIndexBuffer(1,CCI_idt);
   SetIndexBuffer(2,CCI_Syn);
   SetIndexBuffer(3,CCI_idt2);
   SetIndexBuffer(4,CCI_idx3);
   SetIndexBuffer(5,CCI_idt3);
    
      IndicatorShortName(" smoothed CCI");
   return(0);
}
//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int start()
  {
   int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
         
         
   for(i=limit;i>=0;i--)
   {
      CCI_idt[i]  = iCCI(NULL,0,CCI_Period,applied_price,i); //case 1 local chart 
      
      
      double CCI_Syn3a = iCCI("EURUSD",0,CCI_Period,applied_price,i);//case 2: internal preset symbol
      double CCI_Syn3b = iCCI("EURAUD",0,CCI_Period,applied_price,i);
      double CCI_Syn3c = iCCI("EURJPY",0,CCI_Period,applied_price,i);
      CCI_idt2[i]  = (CCI_Syn3a + CCI_Syn3b + CCI_Syn3c) / 3;
      
      
      
      CCI_idt3[i]  = iCCI(inputsymbol,0,CCI_Period,applied_price,i);//case 3: external input symbol
      
   }
   for(i=limit;i>=0;i--)
   {
      CCI_idx1[i] = iMAOnArray(CCI_idt,0,MA_Period,0,MA_Method,i); 
      CCI_Syn[i]  = iMAOnArray(CCI_idt2,0,MA_Period,0,MA_Method,i); 
      
      CCI_idx3[i]  =  iMAOnArray(CCI_idt3,0,MA_Period,0,MA_Method,i); 
      
   }
   return(0);
}

//-------------------------------------------------------------------
//
//-------------------------------------------------------------------
//
//
//
//
//



//-------------------------------------------------------------------
//
//-------------------------------------------------------------------
//
//
//
//
//
/*
string sTfTable[] = {"M1","M5","M15","M30","H1","H4","D1","W1","MN"};
int    iTfTable[] = {1,5,15,30,60,240,1440,10080,43200};

//
//
//
//
//

int stringToTimeFrame(string tfs)
{
   tfs = stringUpperCase(tfs);
   for (int i=ArraySize(iTfTable)-1; i>=0; i--)
         if (tfs==sTfTable[i] || tfs==""+iTfTable[i]) return(MathMax(iTfTable[i],Period()));
                                                      return(Period());
}
string timeFrameToString(int tf)
{
   for (int i=ArraySize(iTfTable)-1; i>=0; i--) 
         if (tf==iTfTable[i]) return(sTfTable[i]);
                              return("M" + DoubleToStr(timeFrame,0));
}

//
//
//
//
//

string stringUpperCase(string str)
{
   string   s = str;

   for (int length=StringLen(str)-1; length>=0; length--)
   {
      int char = StringGetChar(s, length);
         if((char > 96 && char < 123) || (char > 223 && char < 256))
                     s = StringSetChar(s, length, char - 32);
         else if(char > -33 && char < 0)
                     s = StringSetChar(s, length, char + 224);
   }
   return(s);
}

*/